<ion-header>
  <ion-toolbar>
    <ion-title>Log In</ion-title>
  </ion-toolbar>
</ion-header>
<ion-content>
  <form [formGroup]="lform" novalidate>
    <ion-item lines="full">
      <ion-label position="floating">Email</ion-label>
      <ion-input type="text" placeholder="Enter Email Id" formControlName="email"></ion-input>
      <span *ngIf="isFieldValid(lform,'email')">Email id is required</span>
    </ion-item>
    <ion-item lines="full">
      <ion-label position="floating">Password</ion-label>
      <ion-input type="password" placeholder="Enter Password" formControlName="password"></ion-input>
      <span *ngIf="isFieldValid(lform,'password')">Password is required</span>
    </ion-item>
    <ion-row>
      <ion-col>
        <ion-button type="submit" color="danger" expand="block" (click)="onSubmit()">Login</ion-button>
      </ion-col>
    </ion-row>
  </form>
</ion-content>